import { OnInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { IConfig } from '../model/config';
import * as i0 from "@angular/core";
declare global {
    interface Window {
        DocsAPI?: any;
        DocEditor?: any;
    }
}
export declare class DocumentEditorComponent implements OnInit, OnChanges, OnDestroy {
    id: string;
    documentServerUrl: string;
    shardkey: string | boolean;
    config: IConfig;
    document_fileType?: string;
    document_title?: string;
    documentType?: string;
    editorConfig_lang?: string;
    height?: string;
    type?: string;
    width?: string;
    onLoadComponentError?: (errorCode: number, errorDescription: string) => void;
    events_onAppReady?: (event: object) => void;
    events_onDocumentStateChange?: (event: object) => void;
    events_onMetaChange?: (event: object) => void;
    events_onDocumentReady?: (event: object) => void;
    events_onInfo?: (event: object) => void;
    events_onWarning?: (event: object) => void;
    events_onError?: (event: object) => void;
    events_onRequestSharingSettings?: (event: object) => void;
    events_onRequestRename?: (event: object) => void;
    events_onMakeActionLink?: (event: object) => void;
    events_onRequestInsertImage?: (event: object) => void;
    events_onRequestSaveAs?: (event: object) => void;
    /**
     * @deprecated Deprecated since version 7.5, please use events_onRequestSelectSpreadsheet instead.
     */
    events_onRequestMailMergeRecipients?: (event: object) => void;
    /**
     * @deprecated Deprecated since version 7.5, please use events_onRequestSelectDocument instead.
     */
    events_onRequestCompareFile?: (event: object) => void;
    events_onRequestEditRights?: (event: object) => void;
    events_onRequestHistory?: (event: object) => void;
    events_onRequestHistoryClose?: (event: object) => void;
    events_onRequestHistoryData?: (event: object) => void;
    events_onRequestRestore?: (event: object) => void;
    events_onRequestSelectSpreadsheet?: (event: object) => void;
    events_onRequestSelectDocument?: (event: object) => void;
    events_onRequestUsers?: (event: object) => void;
    isFirstOnChanges: boolean;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private onLoad;
    private getDocument;
    private getEditorConfig;
    private onError;
    private onAppReady;
    static ɵfac: i0.ɵɵFactoryDeclaration<DocumentEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DocumentEditorComponent, "document-editor", never, { "id": { "alias": "id"; "required": false; }; "documentServerUrl": { "alias": "documentServerUrl"; "required": false; }; "shardkey": { "alias": "shardkey"; "required": false; }; "config": { "alias": "config"; "required": false; }; "document_fileType": { "alias": "document_fileType"; "required": false; }; "document_title": { "alias": "document_title"; "required": false; }; "documentType": { "alias": "documentType"; "required": false; }; "editorConfig_lang": { "alias": "editorConfig_lang"; "required": false; }; "height": { "alias": "height"; "required": false; }; "type": { "alias": "type"; "required": false; }; "width": { "alias": "width"; "required": false; }; "onLoadComponentError": { "alias": "onLoadComponentError"; "required": false; }; "events_onAppReady": { "alias": "events_onAppReady"; "required": false; }; "events_onDocumentStateChange": { "alias": "events_onDocumentStateChange"; "required": false; }; "events_onMetaChange": { "alias": "events_onMetaChange"; "required": false; }; "events_onDocumentReady": { "alias": "events_onDocumentReady"; "required": false; }; "events_onInfo": { "alias": "events_onInfo"; "required": false; }; "events_onWarning": { "alias": "events_onWarning"; "required": false; }; "events_onError": { "alias": "events_onError"; "required": false; }; "events_onRequestSharingSettings": { "alias": "events_onRequestSharingSettings"; "required": false; }; "events_onRequestRename": { "alias": "events_onRequestRename"; "required": false; }; "events_onMakeActionLink": { "alias": "events_onMakeActionLink"; "required": false; }; "events_onRequestInsertImage": { "alias": "events_onRequestInsertImage"; "required": false; }; "events_onRequestSaveAs": { "alias": "events_onRequestSaveAs"; "required": false; }; "events_onRequestMailMergeRecipients": { "alias": "events_onRequestMailMergeRecipients"; "required": false; }; "events_onRequestCompareFile": { "alias": "events_onRequestCompareFile"; "required": false; }; "events_onRequestEditRights": { "alias": "events_onRequestEditRights"; "required": false; }; "events_onRequestHistory": { "alias": "events_onRequestHistory"; "required": false; }; "events_onRequestHistoryClose": { "alias": "events_onRequestHistoryClose"; "required": false; }; "events_onRequestHistoryData": { "alias": "events_onRequestHistoryData"; "required": false; }; "events_onRequestRestore": { "alias": "events_onRequestRestore"; "required": false; }; "events_onRequestSelectSpreadsheet": { "alias": "events_onRequestSelectSpreadsheet"; "required": false; }; "events_onRequestSelectDocument": { "alias": "events_onRequestSelectDocument"; "required": false; }; "events_onRequestUsers": { "alias": "events_onRequestUsers"; "required": false; }; }, {}, never, never, false, never>;
}
